cwlVersion: v1.2
class: ExpressionTool
doc: |
  Takes a directory (e.g. from a workflow step) and yields it in a desired directory.
requirements:
  - class: InlineJavascriptRequirement
inputs:
  inDir: Directory
  destinationDir: string
expression: |
  ${
    return {"outDir": {
      "class": "Directory", 
      "basename": inputs.destinationDir,
      "listing": [inputs.inDir]
    } };
  }
outputs:
  outDir: Directory